org.eclipse.aether.spi.localrepo

## Interface LocalRepositoryManagerFactory

- All Known Implementing Classes:
    EnhancedLocalRepositoryManagerFactory, SimpleLocalRepositoryManagerFactory

      public interface LocalRepositoryManagerFactory

  A factory to create managers for the local repository. A local repository manager needs to keep track of artifacts and metadata and manage access. When the repository system needs a repository manager for a given local repository, it iterates the registered factories in descending order of their priority and calls `newInstance(RepositorySystemSession, LocalRepository)` on them. The first manager returned by a factory will then be used for the local repository.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getPriority()` The priority of this factory.
    `LocalRepositoryManager` | `newInstance(RepositorySystemSession session, LocalRepository repository)` Tries to create a repository manager for the specified local repository.

- - ### Method Detail

    - #### newInstance

          LocalRepositoryManager newInstance(RepositorySystemSession session,
                                           LocalRepository repository)
                                             throws NoLocalRepositoryManagerException

      Tries to create a repository manager for the specified local repository. The distinguishing property of a local repository is its `type`, which may for example denote the used directory structure.
      Parameters:
        `session` - The repository system session from which to configure the manager, must not be `null`.
        `repository` - The local repository to create a manager for, must not be `null`.
      Returns:
        The manager for the given repository, never `null`.
      Throws:
        `NoLocalRepositoryManagerException` - If the factory cannot create a manager for the specified local repository.

    - #### getPriority

          float getPriority()

      The priority of this factory. Factories with higher priority are preferred over those with lower priority.
      Returns:
        The priority of this factory.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.